import { type Ingresses } from '../../../resources/ingress/ingresses.js';
import { type NamespaceName } from '../../../../../types/namespace/namespace-name.js';
import { type NetworkingV1Api } from '@kubernetes/client-node';
export declare class K8ClientIngresses implements Ingresses {
    private readonly networkingApi;
    private readonly logger;
    constructor(networkingApi: NetworkingV1Api);
    listForAllNamespaces(): Promise<string[]>;
    update(namespace: NamespaceName, name: string, patch: object): Promise<void>;
}
